Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence
Class IPPersistenceManager

    java.lang.Object
      org.wso2.solutions.identity.persistence.IPPersistenceManager

    public class IPPersistenceManager

extends java.lang.Object

Handles all database persistence related operations of WSO2 Identity Solution.

Method Summary
`void` | `backupExpiredCards()`
`java.lang.Long` | `create(AbstractDataObject abstractDO)` Create a new entry with the given data object.
`java.lang.Long` | `createOrUpdateParameter(ParameterDO instance)`
`void` | `delete(AbstractDataObject abstractDO)` Delete the entry of the given data object.
`int` | `deleteCardsofUser(java.lang.String username)`
`int` | `deleteTokensForCard(java.lang.String cardId)`
`int` | `deleteTokensOfUser(java.lang.String username)`
`ActionDO[]` | `getAllActions()`
`InfoCardDO[]` | `getAllInfoCards()`
`ClaimDO[]` | `getAllMappedClaims()` Provides all claims that are mapped to attributes in a user store.
`ClaimDO[]` | `getAllMappedEnabledClaims()` Provides all claims that are mapped and enabled.
`UserPersonalRelyingPartyDO[]` | `getAllPersonalRelyingParties(java.lang.String userId)`
`PPIDValueDO[]` | `getAllPPIDs()`
`RealmConfigurationDO[]` | `getAllRealmConfigurations()`
`RealmDO[]` | `getAllRealms()`
`RegisteredInfoCardInfoDO[]` | `getAllRegistedInfoCardInfoForUser(java.lang.String userId)`
`RelyingPartyDO[]` | `getAllRelyingParties()`
`RevokedInfoCardDO[]` | `getAllRevokedInfoCards()`
`ClaimDO[]` | `getAllSupportedClaims()` Provides all supported claims.
`DialectDO[]` | `getAllSupportedDialects()` Provides all supported claim dialects.
`VerifierServiceIdpDO[]` | `getAllVerifierServiceIdpDO()`
`VerifierServiceRPDO[]` | `getAllVerifierServiceRpDO()`
`InfoCardDO[]` | `getCardIdsForUser(java.lang.String username)`
`void` | `getCardsIssuedBetween(java.util.Date startDate, java.util.Date endDate)`
`ClaimDO` | `getClaimByURI(java.lang.String value)`
`ClaimValueDO[]` | `getClaimValuesForUser(java.lang.String username)` Provides all claim values for a given user.
`AbstractDataObject` | `getDataObject(java.lang.String objClassName, java.lang.Long val)` Extract a data object of the given type bearing the given id.
`DialectDO` | `getDialect(java.lang.String uri)`
`RealmConfigurationDO` | `getEffectiveRealmConfiguration()`
`InfoCardDO` | `getInfoCard(java.lang.String cardId)`
`ParameterDO` | `getParameter(java.lang.String name)`
`static IPPersistenceManager` | `getPersistanceManager()`
`UserPersonalRelyingPartyDO` | `getPersonalRelyingParty(java.lang.String userId, java.lang.String hostName)`
`PPIDValueDO[]` | `getPPIDValuesForUser(java.lang.String userid)` Provides all PPID values in tokens issued for a given user.
`RealmDO` | `getRealm(java.lang.String className)`
`RealmConfigurationDO` | `getRealmConfiguration(java.lang.String name)`
`RegisteredInfoCardInfoDO` | `getRegisteredInfoCardInfo(java.lang.String ppid)`
`RelyingPartyDO` | `getRelyingParty(java.lang.String url)`
`IssuedTokensDO[]` | `getTokensOfUser(java.lang.String username)`
`void` | `RevokeInfoCard(InfoCardDO infoCard)`
`void` | `update(AbstractDataObject abstractDO)` Update an entry with the given data object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPersistanceManager

    public static IPPersistenceManager getPersistanceManager()
                                                      throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### create

    public java.lang.Long create(AbstractDataObject abstractDO)
                          throws IdentityProviderException

  Create a new entry with the given data object.

  Parameters:
    `abstractDO` - Data object to be added
  Returns:
    Identifier of the created entry.
  Throws:
    `IdentityProviderException`

### update

    public void update(AbstractDataObject abstractDO)

  Update an entry with the given data object.

  Parameters:
    `abstractDO` - Data object to be updated

### delete

    public void delete(AbstractDataObject abstractDO)

  Delete the entry of the given data object.

  Parameters:
    `abstractDO` - Data object to be deleted.

### getDataObject

    public AbstractDataObject getDataObject(java.lang.String objClassName,
                                            java.lang.Long val)

  Extract a data object of the given type bearing the given id.

  Parameters:
    `objClassName` - Type of data object
    `val` - Identifier of the record
  Returns:
    If found, the requested data object

### getAllSupportedClaims

    public ClaimDO[] getAllSupportedClaims()

  Provides all supported claims.

  Returns:
    An array of `org.wso2.solutions.identity.persistence.dataobject.ClaimDO` instances.

### getAllMappedClaims

    public ClaimDO[] getAllMappedClaims()

  Provides all claims that are mapped to attributes in a user store.

  Returns:
    An array of `org.wso2.solutions.identity.persistence.dataobject.ClaimDO` instances.

### getAllMappedEnabledClaims

    public ClaimDO[] getAllMappedEnabledClaims()

  Provides all claims that are mapped and enabled.

  Returns:
    An array of `org.wso2.solutions.identity.persistence.dataobject.ClaimDO` instances.

### getAllSupportedDialects

    public DialectDO[] getAllSupportedDialects()

  Provides all supported claim dialects.

  Returns:
    An array of `org.wso2.solutions.identity.persistence.dataobject.DialectDO.java` instances.

### getClaimValuesForUser

    public ClaimValueDO[] getClaimValuesForUser(java.lang.String username)

  Provides all claim values for a given user.

  Parameters:
    `username` - The user identifier.
  Returns:
    An array of `org.wso2.solutions.identity.persistence.dataobject.ClaimValueDO.java` instances.

### getPPIDValuesForUser

    public PPIDValueDO[] getPPIDValuesForUser(java.lang.String userid)

  Provides all PPID values in tokens issued for a given user.

  Parameters:
    `userid` - The user identifier.
  Returns:
    An array of `org.wso2.solutions.identity.persistence.dataobject.PPIDValueDO` instances.

### getCardIdsForUser

    public InfoCardDO[] getCardIdsForUser(java.lang.String username)

### deleteCardsofUser

    public int deleteCardsofUser(java.lang.String username)

### getCardsIssuedBetween

    public void getCardsIssuedBetween(java.util.Date startDate,
                                      java.util.Date endDate)

### backupExpiredCards

    public void backupExpiredCards()

### getTokensOfUser

    public IssuedTokensDO[] getTokensOfUser(java.lang.String username)

### deleteTokensOfUser

    public int deleteTokensOfUser(java.lang.String username)

### deleteTokensForCard

    public int deleteTokensForCard(java.lang.String cardId)

### getAllRelyingParties

    public RelyingPartyDO[] getAllRelyingParties()

### getRelyingParty

    public RelyingPartyDO getRelyingParty(java.lang.String url)

### getPersonalRelyingParty

    public UserPersonalRelyingPartyDO getPersonalRelyingParty(java.lang.String userId,
                                                              java.lang.String hostName)

### getClaimByURI

    public ClaimDO getClaimByURI(java.lang.String value)

### getAllInfoCards

    public InfoCardDO[] getAllInfoCards()

### getAllPPIDs

    public PPIDValueDO[] getAllPPIDs()

### getInfoCard

    public InfoCardDO getInfoCard(java.lang.String cardId)

### createOrUpdateParameter

    public java.lang.Long createOrUpdateParameter(ParameterDO instance)

### getParameter

    public ParameterDO getParameter(java.lang.String name)

### getEffectiveRealmConfiguration

    public RealmConfigurationDO getEffectiveRealmConfiguration()

### getRealmConfiguration

    public RealmConfigurationDO getRealmConfiguration(java.lang.String name)

### getAllRealmConfigurations

    public RealmConfigurationDO[] getAllRealmConfigurations()

### getAllRealms

    public RealmDO[] getAllRealms()

### getRealm

    public RealmDO getRealm(java.lang.String className)

### getAllVerifierServiceIdpDO

    public VerifierServiceIdpDO[] getAllVerifierServiceIdpDO()

### getAllVerifierServiceRpDO

    public VerifierServiceRPDO[] getAllVerifierServiceRpDO()

### RevokeInfoCard

    public void RevokeInfoCard(InfoCardDO infoCard)
                        throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### getAllRevokedInfoCards

    public RevokedInfoCardDO[] getAllRevokedInfoCards()

### getAllPersonalRelyingParties

    public UserPersonalRelyingPartyDO[] getAllPersonalRelyingParties(java.lang.String userId)

### getDialect

    public DialectDO getDialect(java.lang.String uri)

### getAllActions

    public ActionDO[] getAllActions()

### getAllRegistedInfoCardInfoForUser

    public RegisteredInfoCardInfoDO[] getAllRegistedInfoCardInfoForUser(java.lang.String userId)

### getRegisteredInfoCardInfo

    public RegisteredInfoCardInfoDO getRegisteredInfoCardInfo(java.lang.String ppid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD